> ## Documentation Index
> Fetch the complete documentation index at: https://docs.henrikdev.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get valorantv1esportsschedule



## OpenAPI

````yaml https://api.henrikdev.xyz/openapi.json get /valorant/v1/esports/schedule
openapi: 3.1.0
info:
  title: HenrikDev API
  description: ''
  license:
    name: ''
  version: 4.6.0
servers:
  - url: https://api.henrikdev.xyz
security: []
tags:
  - name: valorant
    description: Valorant public API endpoints
paths:
  /valorant/v1/esports/schedule:
    get:
      tags:
        - valorant
      operationId: esports_schedules_v1
      parameters:
        - name: region
          in: query
          required: false
          schema:
            type:
              - string
              - 'null'
        - name: league
          in: query
          required: false
          schema:
            type:
              - string
              - 'null'
      responses:
        '200':
          description: Esports schedule retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EsportsV1Response'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendError'
        '404':
          description: Schedule not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendError'
components:
  schemas:
    EsportsV1Response:
      type: object
      required:
        - status
        - data
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/EsportsV1Data'
        status:
          type: integer
          format: int32
          minimum: 0
    SendError:
      type: object
      required:
        - errors
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/APIError'
    EsportsV1Data:
      type: object
      required:
        - date
        - state
        - type
        - league
        - tournament
        - match
      properties:
        date:
          type: string
        league:
          $ref: '#/components/schemas/EsportsV1DataLeague'
        match:
          $ref: '#/components/schemas/EsportsV1DataMatch'
        state:
          type: string
        tournament:
          $ref: '#/components/schemas/EsportsV1DataTournament'
        type:
          type: string
        vod:
          type:
            - string
            - 'null'
    APIError:
      type: object
      required:
        - code
        - message
        - status
      properties:
        code:
          type: integer
          format: int32
          minimum: 0
        details: {}
        message:
          type: string
        status:
          type: integer
          format: int32
          minimum: 0
    EsportsV1DataLeague:
      type: object
      required:
        - name
        - identifier
        - icon
        - region
      properties:
        icon:
          type: string
        identifier:
          type: string
        name:
          type: string
        region:
          type: string
    EsportsV1DataMatch:
      type: object
      required:
        - teams
        - game_type
      properties:
        game_type:
          $ref: '#/components/schemas/EsportsV1DataMatchGameType'
        id:
          type:
            - string
            - 'null'
        teams:
          type: array
          items:
            $ref: '#/components/schemas/EsportsV1DataMatchTeams'
    EsportsV1DataTournament:
      type: object
      required:
        - name
        - season
      properties:
        name:
          type: string
        season:
          type: string
    EsportsV1DataMatchGameType:
      type: object
      properties:
        count:
          type:
            - integer
            - 'null'
          format: int32
        type:
          type:
            - string
            - 'null'
    EsportsV1DataMatchTeams:
      type: object
      required:
        - name
        - code
        - icon
        - has_won
        - game_wins
        - record
      properties:
        code:
          type: string
        game_wins:
          type: integer
          format: int32
        has_won:
          type: boolean
        icon:
          type: string
        name:
          type: string
        record:
          $ref: '#/components/schemas/EsportsV1DataMatchTeamsRecord'
    EsportsV1DataMatchTeamsRecord:
      type: object
      required:
        - wins
        - losses
      properties:
        losses:
          type: integer
          format: int32
        wins:
          type: integer
          format: int32

````